
From: Bartlomiej Zolnierkiewicz <B.Zolnierkiewicz@elka.pw.edu.pl>

disable_irq_nosync() in ide-io.c:ide_do_request() protects
pre_task_out_intr() from racing with the task_out_intr().

Signed-off-by: Bartlomiej Zolnierkiewicz <bzolnier@elka.pw.edu.pl>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/ide/ide-taskfile.c |    4 ----
 1 files changed, 4 deletions(-)

diff -puN drivers/ide/ide-taskfile.c~ide_pre_task_out_intr drivers/ide/ide-taskfile.c
--- 25/drivers/ide/ide-taskfile.c~ide_pre_task_out_intr	2004-06-30 10:40:37.427156768 -0700
+++ 25-akpm/drivers/ide/ide-taskfile.c	2004-06-30 10:40:37.431156160 -0700
@@ -369,10 +369,6 @@ ide_startstop_t task_mulin_intr (ide_dri
 
 EXPORT_SYMBOL(task_mulin_intr);
 
-/*
- * VERIFY ME before 2.4 ... unexpected race is possible based on details
- * RMK with 74LS245/373/374 TTL buffer logic because of passthrough.
- */
 ide_startstop_t pre_task_out_intr (ide_drive_t *drive, struct request *rq)
 {
 	ide_startstop_t startstop;
_
